Runtime

## org.eclipse.gmf.runtime.diagram.core.services.view
Class CreateViewOperation

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.core.services.view.CreateViewOperation

All Implemented Interfaces:
  IOperation

Direct Known Subclasses:
  CreateChildViewOperation, CreateDiagramViewOperation

    public abstract class CreateViewOperation

extends java.lang.Object
implements IOperation

Constructor Summary
`protected` `CreateViewOperation(IAdaptable semanticAdapter, java.lang.String semanticHint, PreferencesHint preferencesHint)` Method CreateViewOperation.

Method Summary
`java.lang.String` `getCachingKey()`
`PreferencesHint` `getPreferencesHint()` Gets the preferences hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values.
`IAdaptable` `getSemanticAdapter()` Method getSemanticAdapter.
`java.lang.String` `getSemanticHint()` Method getSemanticHint.
`abstract java.lang.Class` `getViewKind()` Returns the view kind class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IOperation
`execute`

Constructor Detail

### CreateViewOperation

    protected CreateViewOperation(IAdaptable semanticAdapter,
                                  java.lang.String semanticHint,
                                  PreferencesHint preferencesHint)

  Method CreateViewOperation.

  Parameters:
    `semanticRef` - adapts to <code<IReference
    `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

Method Detail

### getSemanticAdapter

    public final IAdaptable getSemanticAdapter()

  Method getSemanticAdapter.

  Returns:
    IAdaptable

### getViewKind

    public abstract java.lang.Class getViewKind()

  Returns the view kind class

  Returns:
    class of the view kind

### getSemanticHint

    public final java.lang.String getSemanticHint()

  Method getSemanticHint.

  Returns:
    String

### getPreferencesHint

    public final PreferencesHint getPreferencesHint()

  Gets the preferences hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

  Returns:
    the preferences hint

### getCachingKey

    public java.lang.String getCachingKey()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.